Subject: bug#63267: gcc-toolchain is missing libstdc++.so

From: Josselin Poiret <[email-masked]>
Date: Mon, 08 May 2023 10:41:30 +0200

Hi Kaelyn,

Kaelyn via Bug reports for GNU Guix <[email-masked]> writes:

> Thanks! A small side note: I have glibc in there mainly so ldd is available for debugging problems or getting new binaries working (I think the comment with it is a remnant of an older version of the manifest from before "-F" was added to "guix shell").

Small note: `ldd` is only a wrapper around setting
`LD_TRACE_LOADED_OBJECTS=1`, so you don't really need to pull in all of
glibc just for this.  There's also LD_DEBUG with possible values
explained by LD_DEBUG=help, which I use quite often.

Best,
-- 
Josselin Poiret